
#import "mainViewController.h"


@implementation mainViewController

-(IBAction)save:(id)sender
{
	//時刻取得
	NSDate *today = [NSDate date];
	NSCalendar *calender = [NSCalendar currentCalendar];
	unsigned flags = NSHourCalendarUnit | NSMinuteCalendarUnit | NSSecondCalendarUnit;
	NSDateComponents *todayComponents = [calender components:flags fromDate:today];
	int hour = [todayComponents hour];
	int min = [todayComponents minute];
	int sec = [todayComponents second];
	 
	//DocumentPath取得
	NSArray *docPath = NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES);
	NSString *plistPath = [[docPath objectAtIndex:0] stringByAppendingPathComponent:@"save.plist"];
	 
	//plist保存（データがあれば読み込んで追記、無ければ新規作成
	if ([[NSFileManager defaultManager] fileExistsAtPath:plistPath]){
		NSMutableDictionary *saveData = [[NSMutableDictionary alloc] initWithContentsOfFile:plistPath];
		NSMutableArray *saveArray = [NSMutableArray arrayWithCapacity:0];
		[saveArray addObject:[Data1 text]];
		[saveArray addObject:[Data2 text]];
		[saveArray addObject:[Data3 text]];
		[saveArray addObject:[Data4 text]];
		 
		NSString *dicKey = [[NSString alloc] initWithFormat:@"%d:%d:%d",hour,min,sec];
		 
		[saveData setObject:saveArray forKey:dicKey];
		[saveData writeToFile:plistPath atomically:YES];
	} else {
		NSMutableDictionary *saveData = [[NSMutableDictionary alloc] init];
		NSMutableArray *saveArray = [NSMutableArray arrayWithCapacity:0];
		[saveArray addObject:[Data1 text]];
		[saveArray addObject:[Data2 text]];
		[saveArray addObject:[Data3 text]];
		[saveArray addObject:[Data4 text]];
		 
		NSString *dicKey = [[NSString alloc] initWithFormat:@"%d:%d:%d",hour,min,sec];
		 
		[saveData setObject:saveArray forKey:dicKey];
		[saveData writeToFile:plistPath atomically:YES];
	 }
}

-(IBAction)del:(id)sender
{
	NSArray *docPath = NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES);
	NSString *plistPath = [[docPath objectAtIndex:0] stringByAppendingPathComponent:@"save.plist"];
	
	NSFileManager *data = [NSFileManager defaultManager];
	[data removeItemAtPath:plistPath error:nil];
	
}
// The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
/*
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization.
    }
    return self;
}
*/

/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
}
*/

/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations.
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc. that aren't in use.
}

- (void)viewDidUnload {
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}


@end
