
#import "resultViewController.h"


@implementation resultViewController

@synthesize names;
@synthesize keys;
@synthesize tableView;

-(void)viewWillAppear:(BOOL)animated
{
	//plist読み込み
	NSArray *docPath = NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES);
	NSString *plistPath = [[docPath objectAtIndex:0] stringByAppendingPathComponent:@"save.plist"];
	NSDictionary *dict = [[NSDictionary alloc] initWithContentsOfFile:plistPath];
	self.names = dict;
	NSArray *array = [[names allKeys] sortedArrayUsingSelector:@selector(compare:)];
	self.keys = array;
	
	[super viewWillAppear:animated];
	[self.tableView reloadData];
}

-(NSInteger)numberOfSectionsInTableView:(UITableView *)tableView{
	//NSLog(@"numberOfSection");
	return [keys count];
}

-(NSInteger)tableView:(UITableView *)tableView
numberOfRowsInSection:(NSInteger)section{
	//NSLog(@"numberOfRowsInSection");
	NSString *key = [keys objectAtIndex:section];
	NSArray *nameSection = [names objectForKey:key];
	return [nameSection count];
}

-(UITableViewCell *)tableView:(UITableView *)tableView
		cellForRowAtIndexPath:(NSIndexPath *)indexPath {
	//NSLog(@"cellForRowAtIndex");
	NSUInteger section = [indexPath section];
	NSUInteger row = [indexPath row];
	NSString *key = [keys objectAtIndex:section];
	NSArray *nameSection = [names objectForKey:key];
	static NSString *SectionsTableIdentifier = @"SectionsTableIdentifier";
	UITableViewCell *cell = [self.tableView dequeueReusableCellWithIdentifier:
							 SectionsTableIdentifier ];
	if (cell == nil){
		cell = [[[UITableViewCell alloc]initWithFrame:CGRectZero
									  reuseIdentifier: SectionsTableIdentifier ] autorelease];
	}
	cell.textLabel.text = [nameSection objectAtIndex:row];
	return cell;
}

-(NSString *)tableView:(UITableView *)tableView
titleForHeaderInSection:(NSInteger)section
{
	//NSLog(@"titleForHeaderInSection");
	NSString *key = [keys objectAtIndex:section];
	return key;
}


// The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
/*
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization.
    }
    return self;
}
*/

/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
}
*/

/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations.
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc. that aren't in use.
}

- (void)viewDidUnload {
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}


@end
